# Generated by Django 2.2.1 on 2019-05-31 16:02

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('unis', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='ISCEDArea',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('isced_id', models.CharField(max_length=100)),
                ('isced_name', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Programme',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=300)),
                ('short_name', models.CharField(default='sms', max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Relation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bachelor', models.BooleanField(default=False)),
                ('master', models.BooleanField(default=False)),
                ('doctorate', models.BooleanField(default=False)),
                ('duration_in_months', models.IntegerField()),
                ('ISCED_Area', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='relations.ISCEDArea')),
                ('cro_uni', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='unis.CroUni')),
                ('ex_uni', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='unis.ExUni')),
                ('program', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='relations.Programme')),
            ],
            options={
                'ordering': ('program', 'cro_uni', 'ex_uni', 'duration_in_months'),
            },
        ),
    ]
